#pragma once
#include <streams.h>
class Output:CSourceStream
{
public:
	Output(HRESULT *phr,Source *pParent);
	~Output();

	HRESULT FillBuffer(IMediaSample *pms);
	HRESULT DecideBufferSize(IMemAllocator *pIMemAlloc, ALLOCATOR_PROPERTIES *pProperties); 
	HRESULT CheckMediaType(const CMediaType *pMediaType);
	HRESULT GetMediaType(int iPosition, CMediaType *pmt);
	HRESULT Active(); 
	HRESULT Inactive(); 
	HRESULT Deliver(IMediaSample *pMediaSample); 
private: 
    COutputQueue *m_pOutputQueue;
};
