#include <streams.h>
#include <list> 
using namespace std; 

typedef list<short> LIST_ACTIVE_PIDS; 
#define DIB_TS_BUFFER_SIZE 188*512//48128 
#define	DIB_OUTPUTPIN_QUEUE_SIZE		8 
 

class Source  : public CSource 
{ 
    friend class Output; 
public: 
	virtual ~Source(); 
 
    static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr); 
	DECLARE_IUNKNOWN; 
 
//INonDelegatingUnknown 
	STDMETHODIMP NonDelegatingQueryInterface(REFIID riid, void** ppv);  
 
//IMediaControl 
	STDMETHODIMP Stop(); 
	STDMETHODIMP Pause(); 
	STDMETHODIMP Run(REFERENCE_TIME tStart); 
 
 
private: 
	//Constructor 
    Source(LPUNKNOWN lpunk, HRESULT *phr); 
 
private: 
	static Source*		m_spSource; 

 
}; 

